import React from "react";
declare type Props = {
    data: string | object;
    mediaType: "application/vnd.plotly.v1+json";
};
declare type ObjectType = object;
interface FigureLayout extends ObjectType {
    height?: string;
    autosize?: boolean;
}
interface Figure extends ObjectType {
    data: object;
    layout: FigureLayout;
}
declare class PlotlyHTMLElement extends HTMLDivElement {
    data: object;
    layout: object;
    newPlot: () => void;
    redraw: () => void;
}
declare const PlotlyNullTransform: {
    (): null;
    MIMETYPE: string;
    defaultProps: {
        mediaType: string;
    };
};
export declare class PlotlyTransform extends React.Component<Props> {
    plotDiv?: PlotlyHTMLElement | null;
    Plotly: {
        newPlot: Function;
        redraw: Function;
    };
    static MIMETYPE: string;
    static defaultProps: {
        mediaType: string;
    };
    componentDidMount(): void;
    shouldComponentUpdate(nextProps: Props): boolean;
    componentDidUpdate(): void;
    plotDivRef: (plotDiv: PlotlyHTMLElement | null) => void;
    getFigure: () => Figure;
    render(): JSX.Element;
}
export { PlotlyNullTransform };
export default PlotlyTransform;
